Bug 151234 - [maintainer update] Update port: math/py-numpy to 1.5.0
Summary: [maintainer update] Update port: math/py-numpy to 1.5.0
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Philip M. Gollucci
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2010-10-06 00:00 UTC by Li-Lun Wang
Modified: 2010-10-10 06:40 UTC (History)
0 users

See Also:


Attachments
file.diff (12.04 KB, patch)
2010-10-06 00:00 UTC, Li-Lun Wang
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Li-Lun Wang 2010-10-06 00:00:03 UTC
* Update to 1.5.0
* Replace numpybook with the new numpy-ref and numpy-user, fixing broken distfile
* Avoid the fenv hack on FreeBSD 8 after MFC r203441
* Avoid variable assignment using shell execution (GCCLIBDIR)
Comment 1 wenheping 2010-10-06 12:51:41 UTC
In my private opinion, I would use simple code to
maintain a port, and I would not patch for those
release that should be unsupported officially soon.

wen
Comment 2 Li-Lun Wang 2010-10-06 13:13:53 UTC
On Wed, Oct 6, 2010 at 6:51 AM, wen heping <wenheping@gmail.com> wrote:
> In my private opinion, I would use simple code to
> maintain a port, and I would not patch for those
> release that should be unsupported officially soon.

I would rather keep the patches and avoid the emails complaining why
the port doesn't install.

-- llwang
Comment 3 Philip M. Gollucci freebsd_committer 2010-10-10 00:53:34 UTC
Responsible Changed
From-To: freebsd-ports-bugs->pgollucci

I will take it.
Comment 4 dfilter service freebsd_committer 2010-10-10 06:31:13 UTC
pgollucci    2010-10-10 05:31:08 UTC

  FreeBSD ports repository

  Modified files:
    math/py-numpy        Makefile distinfo pkg-plist 
  Log:
  - Update to 1.5.0
  
  PR:             ports/151234
  Submitted by:   Li-Lun Wang (Leland Wang) <llwang@infor.org> (maintainer)
  
  Revision  Changes    Path
  1.31      +16 -13    ports/math/py-numpy/Makefile
  1.16      +9 -6      ports/math/py-numpy/distinfo
  1.16      +42 -11    ports/math/py-numpy/pkg-plist
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 5 Philip M. Gollucci freebsd_committer 2010-10-10 06:31:14 UTC
State Changed
From-To: open->closed

Committed, Thanks!